# Class WeakTopcatListener

java.lang.Object
uk.ac.starlink.topcat.WeakTopcatListener

All Implemented Interfaces:
  `EventListener, TopcatListener`

public class WeakTopcatListener extends Object implements TopcatListener
TopcatListener implementation which wraps another one but only retains a weak reference to it.

Since:
  17 Apr 2007
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`WeakTopcatListener(TopcatListener base)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`modelChanged(TopcatEvent evt)`
Invoked when the model has changed in some way.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WeakTopcatListener

public WeakTopcatListener(TopcatListener base)
Constructor.

Parameters:
  `base` - base listener

## Method Details

### modelChanged

public void modelChanged(TopcatEvent evt)
Description copied from interface: `TopcatListener`
Invoked when the model has changed in some way.

Specified by:
  `modelChanged` in interface `TopcatListener`
Parameters:
  `evt` - event description